import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService } from '../shared/base-api-template-service.model';
import { AppLoginPrincipalContainerModel } from '../../../../../models/aggregates/app-login';
import { ApiResponseModel, ApiVisa, BasicApiResponseModel, Pagination, PagingResponseModel } from '../shared';
import { AppLoginPrincipalQueryCriteriaClass } from '../../criteria';
import { Observable } from 'rxjs';
export declare class AppLoginPrincipalService extends BaseApiTemplateService<AppLoginPrincipalContainerModel> {
    constructor(http: HttpClient);
    private setUrl;
    post(dtoObject: AppLoginPrincipalContainerModel, visa: ApiVisa): Observable<ApiResponseModel<AppLoginPrincipalContainerModel>>;
    delete(guid: string, visa: ApiVisa): Observable<ApiResponseModel<AppLoginPrincipalContainerModel>>;
    put(dtoObject: AppLoginPrincipalContainerModel, visa: ApiVisa): Observable<BasicApiResponseModel<AppLoginPrincipalContainerModel>>;
    get(visa: ApiVisa): Observable<ApiResponseModel<AppLoginPrincipalContainerModel>>;
    getByGuid(guid: string, visa: ApiVisa): Observable<BasicApiResponseModel<AppLoginPrincipalContainerModel>>;
    getByCriteria(pagination: Pagination, visa: ApiVisa, criteria?: any): Observable<PagingResponseModel<AppLoginPrincipalContainerModel>>;
    getByLoginCriteria(pagination: Pagination, visa: ApiVisa, criteria?: any): Observable<PagingResponseModel<AppLoginPrincipalContainerModel>>;
    getAppLoginPrincipalByCriteria(pagination: Pagination, apiVisa: ApiVisa, criteria?: AppLoginPrincipalQueryCriteriaClass): Observable<PagingResponseModel<AppLoginPrincipalContainerModel>>;
    sysadminPost(dtoObject: AppLoginPrincipalContainerModel, apiVisa: ApiVisa): Observable<ApiResponseModel<AppLoginPrincipalContainerModel>>;
    sysadminDelete(guid: any, apiVisa: any): Observable<ApiResponseModel<AppLoginPrincipalContainerModel>>;
    sysadminPut(dtoObject: AppLoginPrincipalContainerModel, apiVisa: ApiVisa): Observable<BasicApiResponseModel<AppLoginPrincipalContainerModel>>;
    sysadminGet(apiVisa: any): Observable<ApiResponseModel<AppLoginPrincipalContainerModel>>;
    sysadminGetByGuid(guid: string, apiVisa: ApiVisa): Observable<BasicApiResponseModel<AppLoginPrincipalContainerModel>>;
    sysadminGetByCriteria(pagination: Pagination, apiVisa: ApiVisa): Observable<PagingResponseModel<AppLoginPrincipalContainerModel>>;
    tenantAdminGetByCriteria(tenantCode: string, pagination: Pagination, apiVisa: ApiVisa): Observable<PagingResponseModel<AppLoginPrincipalContainerModel>>;
}
